# $Revision: 1.46.2.3 $, $Date: 2007/04/19 11:43:07 $
Summary:	Multi channel settings manager
Summary(pl):	Zarzdca ustawie wielokanaowych
Name:		xfce-mcs-manager
Version:	4.4.1
Release:	1
License:	LGPL v2
Group:		X11/Applications
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	8fd3613d5aa0a146226718a9ea2c0242
Patch0:		%{name}-locale-names.patch
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce4-dev-tools >= 4.4.0
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce-mcs-manager is a multi channel settings manager for Xfce.

%description -l pl
xfce-mcs-manager to zarzdca ustawie wielokanaowych dla Xfce.

%package devel
Summary:	Header file to build xfce-mcs-manager plugins
Summary(pl):	Plik nagwkowy do tworzenia wtyczek xfce-mcs-managera
Group:		Development/Libraries
Requires:	libxfce4mcs-devel >= %{version}
Requires:	libxfcegui4-devel >= %{version}
# doesn't require base

%description devel
Header file for other apps to be able to build their own mcs plugins.

%description devel -l pl
Plik nagwkowy umoliwiajcy innym aplikacjom budowanie wtyczek mcs.

%prep
%setup -q
%patch0 -p1

mv -f po/{pt_PT,pt}.po
mv -f po/{nb_NO,nb}.po

%build
%{__intltoolize}
%{__glib_gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/xfce4/{mcs-plugins,modules},%{_sysconfdir}/xdg/xfce4}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_iconsdir}/hicolor/48x48/apps/xfce4-settings.png
%{_desktopdir}/*.desktop

%dir %{_libdir}/xfce4
%dir %{_libdir}/xfce4/mcs-plugins
%dir %{_libdir}/xfce4/modules

%docdir %{_datadir}/xfce4/doc
%dir %{_datadir}/xfce4/doc
%{_datadir}/xfce4/doc/C
%lang(fr) %{_datadir}/xfce4/doc/fr
%lang(it) %{_datadir}/xfce4/doc/it

# common for some other xfce* packages
%dir %{_sysconfdir}/xdg/xfce4

%files devel
%defattr(644,root,root,755)
%{_includedir}/xfce4/xfce-mcs-manager
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce-mcs-manager.spec,v $
Revision 1.46.2.3  2007/04/19 11:43:07  megabajt
- updated to 4.4.1

Revision 1.46.2.2  2007/01/28 19:45:09  megabajt
- updated to 4.4.0, merged from HEAD

Revision 1.51  2007/01/21 19:27:22  megabajt
- updated to 4.4.0

Revision 1.50  2006/11/05 18:54:46  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)

Revision 1.49  2006/09/04 13:16:33  megabajt
- up to 4.3.99.1
- use rpm macros

Revision 1.48  2006/07/24 18:20:41  freetz
- rel.2, removed LDFLAGS

Revision 1.47  2006/07/16 15:38:34  freetz
- merged from DEVEL

Revision 1.44.2.5  2006/07/16 15:33:14  freetz
- 4.3.90.2, updated deps, update icon cache, --as-needed support

Revision 1.44.2.4  2006/07/01 00:06:20  charles
- added shared dir for modules

Revision 1.44.2.3  2006/04/18 21:46:07  freetz
- use macros

Revision 1.44.2.2  2006/04/18 20:27:43  troll
- intltoolize was removed by mistake

Revision 1.44.2.1  2006/04/18 19:53:09  troll
- updated to 4.3.90.1 (4.4 beta 1)

Revision 1.46.2.1  2006/07/05 09:28:06  havner
- use macros for intltoolize and glib_gettextize

Revision 1.46  2006/07/04 20:00:28  qboosh
- intltoolize before glib-gettextize, builds now

Revision 1.45  2006/04/20 09:24:47  ankry
- tab

Revision 1.44  2005/11/09 05:30:44  troll
- updated to 4.2.3

Revision 1.43  2005/05/18 23:59:00  troll
- updated to 4.2.2
- BR: xfce4-dev-tools

Revision 1.42  2005/03/16 09:54:22  charles
- BR: gettext-devel

Revision 1.41  2005/03/16 01:32:25  koorek
- updated to 4.2.1
- mirror url for source

Revision 1.40  2005/01/17 12:25:01  troll
- updated to 4.2.0 final

Revision 1.39  2005/01/05 09:27:50  havner
- proper licence, rel up

Revision 1.38  2005/01/05 03:19:05  charles
- reverted Rs libxfce4mcs, libxfcegui4

Revision 1.37  2005/01/04 17:03:49  charles
- proper BRs versions
- removed redundant R
- cosmetics in licence
- rel. 2 for STBR

Revision 1.36  2004/12/28 08:45:44  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.35  2004/12/22 15:31:15  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.34  2004/12/13 21:06:31  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.33  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.32  2004/11/25 23:18:25  qboosh
- BR ac 2.50

Revision 1.31  2004/11/25 22:10:35  qboosh
- updated conf dir (_sysconfdir/xdg/xfce4 now)

Revision 1.30  2004/11/25 05:54:51  troll
- merged from DEVEL

Revision 1.24.2.9  2004/11/15 20:41:19  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.24.2.8  2004/11/07 06:51:04  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.24.2.7  2004/08/17 10:31:30  qboosh
- Source0 URL fix

Revision 1.24.2.6  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.24.2.5  2004/08/13 16:16:36  havner
- proper version
- stricter BR
- 20040813

Revision 1.24.2.4  2004/08/06 22:02:37  havner
- 20040806

Revision 1.24.2.3  2004/07/30 01:05:05  troll
- 4.1.1 - ofcourse funky new hacks
- adjusted and applied locale-names.patch from HEAD

Revision 1.24.2.2  2004/06/22 13:22:19  jpc
- fixes from troll
- cosmetics

Revision 1.24.2.1  2004/06/16 16:45:38  jpc
- new snap 20040616
- autotoolize

Revision 1.24  2004/04/18 07:37:49  ankry
- fixed src URL

Revision 1.23  2004/04/18 06:24:20  ankry
- switched to a working mirror

Revision 1.22  2004/04/16 22:16:22  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.21  2004/03/10 20:57:35  troll
- updated to 4.0.4

Revision 1.20  2004/01/12 21:09:54  undefine
- don't regenerate ac/am, copy config.sub only

Revision 1.19  2004/01/12 20:24:40  undefine
- ac/am to rebuild on amd64, release 2

Revision 1.18  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.17  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.16  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.15  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.14  2003/09/14 20:22:05  mwinkler
- BR updated

Revision 1.13  2003/09/14 15:59:06  troll
- updated to 3.99.4

Revision 1.12  2003/08/28 12:03:54  troll
- fixed *Requires' versions

Revision 1.11  2003/08/27 09:06:36  pascalek
- updated to 3.99.3

Revision 1.10  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.9  2003/08/04 10:41:35  qboosh
- release 2

Revision 1.8  2003/08/01 14:43:54  qboosh
- added /etc/xfce4 dir (common for few other xfce*)

Revision 1.7  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.6  2003/07/07 07:24:26  pascalek
- updated to 3.91.0

Revision 1.5  2003/06/18 07:46:37  qboosh
- BR: pkgconfig

Revision 1.4  2003/06/17 08:39:05  qboosh
- mcs-plugins dir moved from plugins to manager
- more verbose doc list (for possible future lang())

Revision 1.3  2003/06/16 15:18:04  qboosh
- -devel doesn't require base here

Revision 1.2  2003/06/16 15:09:01  qboosh
- pl, cleanups, fixed file lists

Revision 1.1  2003/06/14 19:14:28  pascalek
- initial release
